/*
 * Copyright 2005-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.javacrumbs.mocksocket.http.connection;

import net.javacrumbs.mocksocket.connection.UniversalMockRecorder;
import net.javacrumbs.mocksocket.connection.data.RequestSocketData;
import net.javacrumbs.mocksocket.connection.data.SocketData;
import net.javacrumbs.mocksocket.http.connection.matcher.MatcherBasedHttpMockResultRecorder;
import net.javacrumbs.mocksocket.http.connection.sequential.SequentialHttpMockRecorder;

import org.hamcrest.Matcher;

public interface UniversalHttpMockRecorder extends UniversalMockRecorder {
	SequentialHttpMockRecorder andReturn(SocketData data);
	
	SequentialHttpMockRecorder andReturn(String data);
	
	MatcherBasedHttpMockResultRecorder andWhenRequest(Matcher<RequestSocketData> matcher);
}
